Subject: bug#45236: Xboard doesn't work.

From: Guillaume Le Vaillant <[email-masked]>
Date: Tue, 15 Dec 2020 14:25:42 +0100

zimoun <[email-masked]> skribis:

> Hi,
>
> On Tue, 15 Dec 2020 at 12:26, Ludovic Courtès <[email-masked]> wrote:
>>> I think this is not about you but Xboard game is not working for so long, I
>>> wait until update but is not coming.
>>
>> What do you mean by “not working”?  I’ve tried:
>>
>>   guix environment --ad-hoc xboard -- xboard
>>
>> and it spawns what looks like a “working” XBoard to me (that’s with
>> commit 3d85c3ec652feb22824f355538b51e6955ded361 as reported by ‘guix
>> describe’).
>
> Even if the Data Service says that no substitute are available:
>
> <https://data.guix.gnu.org/repository/1/branch/master/package/xboard/output-history>
>
> all these commits f4450e8c 27866b7c af1225a3 b5ed51bd 48cccf06 8ab70bae
> 9bc516ba 35c43fcd c81457a5 aebba13c 747953c4 e7ce4ef9 4730878b 6d15516d
> 0ed75a5f 33b59c1a build, i.e., all the xboard 4.9.1 are buildable.
>
> However, then trying I get:
>
> --8<---------------cut here---------------start------------->8---
> xboard: Erreur lors de l'écriture dans le programme d'échecs Premier: Relais brisé (pipe)
> --8<---------------cut here---------------end--------------->8---
>
> and a crash.  I do not know if it comes from an user config of xboard (I
> never use it) or a Guix config of the package or something broken
> upstream.
>
> Pablo, could you precise what you mean by “not working for so long”?
> And what do you mean by “wait until update”?  What “update” means here?
>
>
> All the best,
> simon

On my system, starting XBoard with the "xboard" command and trying to
use the gnuchess engine fails with a "broken pipe" error. According to
the engine menu in XBoard, it uses the "-fcp gnuchess" to set gnuchess
as the engine.

What is strange is that if I start XBoard directly with "xboard -fcp gnuchess",
everything works fine.